import { FocusableOption, FocusOrigin } from '@angular/cdk/a11y';
import * as i0 from "@angular/core";
export declare class RatingItemLabelComponent implements FocusableOption {
    #private;
    readonly label: import("@angular/core").InputSignal<string>;
    readonly value: import("@angular/core").InputSignal<number>;
    readonly focusable: import("@angular/core").WritableSignal<boolean>;
    focusableEffect: import("@angular/core").EffectRef;
    focus(origin?: FocusOrigin): void;
    getLabel(): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<RatingItemLabelComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<RatingItemLabelComponent, "c-rating-item-label", never, { "label": { "alias": "label"; "required": false; "isSignal": true; }; "value": { "alias": "value"; "required": true; "isSignal": true; }; }, {}, never, ["*"], true, never>;
}
